/* Process data from the DCT2000 and fill data structures accordingly.
 * 
 * Based highly on DCTTest by Don Starr
 * http://www.starrsoft.com/freeware/DCTTest.zip
 *
 * Heavily modifed by Dave Johnson <dave-dctremote@davej.org>
 */ 

#ifndef SERIAL_H
#define SERIAL_H

#include "packet.h"

/* Only one port open at a time. */
int serial_init(const char *device);
void serial_flush(int timeout_msec);
void serial_close(void);

int serial_getpacket(_sPacket *p, int timeout_msec);
void serial_sendpacket(_sPacket *p);

#endif
